User Document Types API
Platform-linkedPlatform-linked: the key’s login needs an API plan and a website plan with Files; ApiKey only. How this works.
List supported upload extensions (pdf, docx, xlsx, and more) for private document search.
curl -X GET "https://example.com/v2/user/documents/types"{ "file_types": [ { "id": "pdf", "label": "PDF" }, { "id": "doc", "label": "Word (.doc)" }, { "id": "docx", "label": "Word" }, { "id": "ppt", "label": "PowerPoint (.ppt)" }, { "id": "pptx", "label": "PowerPoint" }, { "id": "xls", "label": "Excel (.xls)" }, { "id": "xlsx", "label": "Excel" }, { "id": "csv", "label": "CSV" }, { "id": "txt", "label": "Plain text" }, { "id": "md", "label": "Markdown" }, { "id": "jpeg", "label": "JPEG" }, { "id": "jpg", "label": "JPEG" }, { "id": "png", "label": "PNG" }, { "id": "gif", "label": "GIF" }, { "id": "webp", "label": "WebP" } ]}Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json